lustDebuffs = {
    [57723] = true,      -- Exhaustion
    [57724] = true,      -- Sated
    [80354] = true,      -- Temporal Displacement
    [95809] = true,      -- Hunter Pet Insanity
    [160455] = true,     -- Hunter Pet Fatigued
    [264689] = true,     -- Hunter Pet Fatigued (alt)
    [390435] = true,     -- Exhaustion (alt)
}

function CheckLustDebuffByID()
    if EditModeManager and EditModeManager:ShouldIgnoreUnitEvents() then
        return false
	end
	
    local found = false
	
    for spellID in pairs(lustDebuffs) do
        local aura = C_UnitAuras.GetPlayerAuraBySpellID(spellID)
		
        if aura and aura.expirationTime then
            local timeLeft = aura.expirationTime - GetTime()
			
            if timeLeft >= 570 then
                found = true
                break
			end
		end
	end
	
    lustActive = found
    return found
end
